[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Fix for these slapd bugs is in DELAYED/4-day



Fix for these two grave bugs (my changes are in .config and .postinst)
is in incoming/DELAYED/4-day

I also added a german translation of the debconf templates as
debian/slapd.templates.de

I just noticed there might be another "db_go" missing near
"conf_exists" at the second change, so feel free to upload another fix
;)

I also do not know if this is maybe "debconf abuse" ;)

Greetings,
Erich

Here's the diff with the important changes (dropped some minor changes
like added paranteses or additional checks and a debconf warning that
hopefully will never be seen by anybody...):

--- debian/slapd.config.orig	Tue Apr  2 23:38:50 2002
+++ debian/slapd.config	Tue Apr  2 22:20:05 2002
@@ -37,6 +37,7 @@
 		beginblock;
 		$ok=(input("medium", "slapd/ldif_file"))[0];
 		input("medium", "slapd/internal/admin");
+		input("medium", "slapd/internal/dn");
 		endblock;
 		go;
 		$file=get("slapd/ldif_file");
--- debian/slapd.postinst.postinst	Tue Apr  2 23:38:50 2002
+++ debian/slapd.postinst	Tue Apr  2 22:43:10 2002
@@ -29,14 +29,14 @@
 . /usr/share/debconf/confmodule
 
 if [ -f /etc/ldap/slapd.conf ] ; then
-	db_get slapd_conf_exists || true
+	db_input critical slapd_conf_exists || true
 	exit 0
 fi
 
+# These three values are asked always (needed for conf-file)
 db_get slapd/internal/dn ; dn="$RET"
 db_get slapd/internal/admin ; admin="$RET"
 db_get slapd/fill_method ; method="$RET"
-db_get slapd/internal/adminpw ; password="$RET"
 
 top=$(echo $dn | sed 's/,.*//')
 key=$(echo $top | sed 's/=.*//')
@@ -53,7 +53,8 @@
 elif [ "$key" = "cn" ] ; then
 	class="organizationalRole"
 else
-	db_get slapd/unknown_class || true
+	db_input critical slapd/unknown_class || true
+	db_go
 	exit 1
 fi
 
@@ -66,6 +67,7 @@
 if [ "$method" = "ldif" ] ; then
 	db_get slapd/ldif_file ; ldif="$RET"
 else
+	db_get slapd/internal/adminpw ; password="$RET"
 	ldif="$tmp"
 	cat <<EOF > "$ldif"
 dn: $dn


-- 
To UNSUBSCRIBE, email to debian-devel-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org



Reply to: